set define '^' verify off
prompt ...epg_install_images.sql
--------------------------------------------------------------------------------
--
--  Copyright (c) Oracle Corporation 1999 - 2017. All Rights Reserved.
--
--    NAME
--      epg_install_images.sql
--
--    DESCRIPTION
--      Install image files for EPG
--
--    MODIFIED   (MM/DD/YYYY)
--    hfarrell    12/20/2017 - Created
--
--------------------------------------------------------------------------------

set define '^'
set concat on
set concat .
set verify off

@@apxpreins.sql

COLUMN :script_name NEW_VALUE comp_file NOPRINT
VARIABLE script_name VARCHAR2(50)

declare
    l_script_name varchar2(100);
begin
    if '^CDB_ROOT' = 'YES' then
        l_script_name := 'epg_install_images_cdb.sql';
    elsif '^CDB' = 'YES' and '^META_LINK' = 'METADATA LINK' then
        l_script_name := 'epg_install_images_cdb.sql';
    else
        l_script_name := 'epg_install_images_nocdb.sql';
    end if;
    :script_name := l_script_name;
end;
/

select :script_name from dual;

@@^comp_file ^1 x